xmltooling 3.2.4

Classes | Public Member Functions | List of all members
xmltooling::StreamInputSource Class Reference

A parser source that wraps a C++ input stream. More...

`#include <xmltooling/util/ParserPool.h>`

Inheritance diagram for xmltooling::StreamInputSource:
[legend]
Collaboration diagram for xmltooling::StreamInputSource:
[legend]

## Classes
class | StreamBinInputStream
| A Xerces input stream that wraps a C++ input stream. More...

## Public Member Functions
| StreamInputSource (std::istream &is, const char *systemId=0)
| Constructs an input source around an input stream reference.

## Detailed Description

A parser source that wraps a C++ input stream.

## Constructor & Destructor Documentation

## ◆ StreamInputSource()

xmltooling::StreamInputSource::StreamInputSource | ( | std::istream & | is,
|  | const char * | systemId = 0 )

Constructs an input source around an input stream reference.

Parameters

  is | reference to an input stream
  systemId | optional system identifier to attach to the stream

The documentation for this class was generated from the following file:

- xmltooling/util/ParserPool.h